Subject: Re: bug#25015: 26.0.50; beginning-of-defun-raw goes too far

From: Marcin Borkowski <[email-masked]>
Date: Thu, 24 Nov 2016 22:18:28 +0100

On 2016-11-24, at 17:59, Eli Zaretskii <[email-masked]> wrote:

>> From: Marcin Borkowski <[email-masked]>
>> Date: Thu, 24 Nov 2016 14:03:30 +0100
>> 
>> consider this in an Elisp-mode buffer:
>> 
>> --8<---------------cut here---------------start------------->8---
>> ;; Comment header
>> 
>> -!-(defun func-1 (arg)
>>   "docstring"
>>   body)
>> --8<---------------cut here---------------end--------------->8---
>> 
>> (-!- means the point).
>
> This means point is actually _before_ the function, right?

Now that I think of it...  yes.

>> Type M-x beginning-of-defun-raw.  The point moves to the beginning
>> of buffer instead of staying where it is.
>
> Do you still think it's a problem?

Yes and no.  I can see now that this is not necessarily a bug.  OTOH, if
you now press M-h instead of e.g. C-M-a, you will see why I considered
this a problem.  (And this is in stock mark-defun; my version has the
same problem, I'll have to think how to deal with it.)

I'm thus closing this, and sorry for the noise.

-- 
Marcin Borkowski